using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Test
{
    public class dtoBaseProduct : dtoBaseModel
    {
        [DisplayName("Product")]
        public Guid ProductID { get; set; }
        [StringLength(100)]
        [DisplayName("Product")]
        public String ProductName { get; set; }
        [StringLength(255)]
        [DisplayName("Description")]
        public String Description { get; set; }
        [StringLength(255)]
        [DisplayName("Url")]
        public String LogonURL { get; set; }
        [DisplayName("Internal")]
        public bool IsInternal { get; set; }
    }

    public class dtoBaseApp : dtoBaseModel
    {
        [DisplayName("Product")]
        public Guid ProductID { get; set; }
        [DisplayName("App")]
        public Guid AppID { get; set; }
        [StringLength(100)]
        [DisplayName("App")]
        public String AppName { get; set; }
        [StringLength(255)]
        [DisplayName("Description")]
        public String Description { get; set; }
        [StringLength(255)]
        [DisplayName()]
        public String ProvisionURL { get; set; }
        [DisplayName("Base")]
        public bool IsBase { get; set; }
    }
}
